<?php

require_once('../../config.php');

global $USER;

$courses = enrol_get_my_courses('*');

$sects = array();

foreach ($courses as $course_id => $val) {
	$context = context_course::instance($course_id);
	$is_admin = has_capability('mod/assignment:grade', $context);

	array_push($sects, array("id" => $course_id, "title" => $val->fullname, "isAdmin" => $is_admin));
}

header("Content-Type: application/json;charset=UTF-8");

echo json_encode($sects, JSON_PRETTY_PRINT);

?>
